<?php /*
Plugin Name: Front2Back
Version: 2.0.a
Description: Postcards back display if there is. / Verso d'une carte.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=183
Author: VDigital (PhpWebGallery team)
Author URI: http://www.phpwebgallery.net
*/

/* Synopsis
1 - If same name file exists in ./thumbnail/verso/ or ...
2 - A link is displayed
3 - OnMouseOver Front2Back replace the original picture

Localisation of Front2Back, just add:
$lang['Front2Back'] = 'See back';
in your ./language/xxxx/local.lang.php

Requirements/recommendations:
1 - Backsize = Frontsize
2 - Profile displayed sizes are Null or > Backsided pictures sizes
3 - Metadata are synchronized

*/
/*
History
  2008-10-30 2.0.a (stable)
             Smarty version for Piwigo (Don't use it with PhpWebGallery 1.7.x)
  2007-11-07 Add -r to back filenames if your picture are portrait in one side
             and landscape in the other one.  
  2007-10-10 Additional and optionnal parameters
     $conf['Front2Back_path'] real path if you want them outside ./galleries/
       Warning: if F2B_path is set then directory tree will not reminded !
     $conf['Front2Back_parent'] can be set to 'thumbnail/' or 'pwg_high/'
     
  2007-10-08 Conflict with PY GVideo solved 
     (render_element_content usage error: No residual impact)
  2007-10-07 First release
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('F2B_DIR' , basename(dirname(__FILE__)));
define('F2B_PATH' , PHPWG_PLUGINS_PATH . F2B_DIR . '/');
include_once( F2B_PATH . 'Front2Back.php');
?>
